1. Raiz
FlamPix Gateway API
  • ๐Ÿ“œ API Overview
  • โš ๏ธ API Base URL Migration Notice โš ๏ธ
  • Docs
    • ๐Ÿ”‘ Authentication & HMAC Signing
    • ๐Ÿช Webhook
    • ๐Ÿงต Deposit Status Strings
    • ๐Ÿšฆ API Limits
  • Raiz
    • Create Deposit
      POST
    • Get Deposit Status
      GET
    • Get User Info
      GET
    • Health Check
      GET
    • Transaction Status Update
  • Schemas
    • Customer
    • DepositRequest
    • DepositResponse
    • UserInfoResponse
    • WebhookPayload
  1. Raiz

Transaction Status Update

Webhook
POST
transactionUpdate
FlamPix sends this webhook event when the status of a deposit changes.
Requests are signed with X-FlamPix-Signature (HMAC SHA-256).

Request

Authorization
or
Header Params

Body Params application/json

Examples

Responses

๐ŸŸข200
Webhook received successfully.
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://your-api-server.com' \
--header 'X-FlamPix-Signature: {{X-FlamPix-Signature}}' \
--header 'X-FlamPix-Timestamp: {{X-FlamPix-Timestamp}}' \
--header 'X-FlamPix-Key: {{FLAMPIX_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "event": "payment_received",
    "depositId": "33504022-daeb-4ddf-96f2-fc15aa4e6a52",
    "timestamp": "2019-08-24T14:15:22.123Z",
    "data": {}
}'
Modified atย 2025-12-22 21:14:25
Previous
Health Check
Next
Customer
Built with